<?php

//load lib
require_once $mascot_core_educacion_plugin_dir_path . 'inc/shortcodes/lib/interface-shortcodes.php';


/* Loads all shortcodes located in shortcodes folder
================================================== */
if( !function_exists('mascot_core_educacion_load_all_shortcodes') ) {
	function mascot_core_educacion_load_all_shortcodes() {
		global $mascot_core_educacion_plugin_dir_path;
		foreach( glob($mascot_core_educacion_plugin_dir_path.'inc/shortcodes/parts/*/loader.php') as $each_sc_loader ) {
			require_once $each_sc_loader;
		}
		require_once $mascot_core_educacion_plugin_dir_path . 'inc/shortcodes/parts/reg-shortcodes.php';
	}
	add_action( 'init', 'mascot_core_educacion_load_all_shortcodes' );
}


/**
 * Shortcode current-year
 */
add_shortcode('current-year', 'mascot_core_educacion_shortcode_current_year');
function mascot_core_educacion_shortcode_current_year() {
	return date('Y');
}